%define name       easytag
%define ver        0.15
%define rel        1
%define prefix    /usr

Summary:      Viewer/Editor for MP3 tags
Name:         %name
Version:      %ver
Release:      %rel
Copyright:    GPL
URL:          http://easytag.sourceforge.net
Group:        Applications/Multimedia
Source:       http://download.sourceforge.net/easytag/%{name}-%{version}.tar.gz
BuildRoot:    /var/tmp/%name-buildroot
Vendor:       Jerome Couderc <j.couderc@ifrance.com>
Packager:     Jerome Couderc <j.couderc@ifrance.com>
Requires:     gtk+ >= 1.2.7
Requires:     id3lib >= 3.7.12

%description
EasyTAG is an utility for viewing, editing easily and quickly the ID3v2 
and ID3v1.x tags of your MP3 files, using a nice GTK+ user interface.

Features:
  * View, edit, write MP3 tags (supporting ID3v2 and ID3v1.x specifications),
  * Auto tagging: parse filename and directory to complete automatically the fields (using masks),
  * Ability to rename mp3 file from tag (using masks),
  * Process all mp3 of the selected directory,
  * Ability to browse subdirectories,
  * Recursion for tagging, removing, renaming, saving...,
  * Can set a field (artist, title,...) to all other files,
  * Read MP3 header informations (MPEG 1, 2, 2.5) and display them,
  * A tree based browser,
  * A list to select files,
  * Simple and explicit interface!,
  * Menu bar and shortcuts,
  * State messages in statubar,
  * French, German, Russian, Dutch, Hungarian, Swedish, Italian and Japanese translation language,
  * Written in C and uses GTK+ 1.2 for the GUI.


%prep
%setup

%build
make all

%install
mkdir -p "${RPM_BUILD_ROOT}"%prefix/bin
mkdir -p "${RPM_BUILD_ROOT}"%prefix/doc
mkdir -p "${RPM_BUILD_ROOT}"%prefix/share/gnome/apps/Multimedia
mkdir -p "${RPM_BUILD_ROOT}"%prefix/share/pixmaps
mkdir -p "${RPM_BUILD_ROOT}"%prefix/share/easytag
cp -f src/easytag "${RPM_BUILD_ROOT}"%prefix/bin/
cp -f easytag.desktop "${RPM_BUILD_ROOT}"%prefix/share/gnome/apps/Multimedia/easytag.desktop
cp -f pixmaps/EasyTAG_icon.xpm "${RPM_BUILD_ROOT}"%prefix/share/pixmaps/EasyTAG.xpm
cp -f pixmaps/EasyTAG_logo.xpm "${RPM_BUILD_ROOT}"%prefix/share/easytag/EasyTAG_logo.xpm

for file in po/*.gmo; do
    lang=`basename $file .gmo`
    mkdir -p "${RPM_BUILD_ROOT}"%prefix/share/locale/$lang/LC_MESSAGES
    cp -f $file "${RPM_BUILD_ROOT}"%prefix/share/locale/$lang/LC_MESSAGES/easytag.mo
done

%post

%postun

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-, root, root)
%doc ChangeLog INSTALL COPYING README TODO THANKS USERS-GUIDE
%prefix/bin/easytag
%prefix/share/gnome/apps/Multimedia/easytag.desktop
%prefix/share/pixmaps/*
%prefix/share/easytag/*
%prefix/share/locale/*/*/*


%changelog
* Fri Jun 2 2000 Jerome Couderc <j.couderc@ifrance.com>
  - Updated to include po files into the rpm package

* Fri May 5 2000 Jerome Couderc <j.couderc@ifrance.com>
  - Initial spec file.
