/* misc.h - 2000/06/28 */
/*
 *  EasyTAG - Viewer/Editor for MP3 Tags
 *  Copyright (C) 2000  Jerome Couderc <j.couderc@ifrance.com>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef __MISC_H__
#define __MISC_H__


/***************
 * Declaration *
 ***************/




/**************
 * Prototypes *
 **************/

/*
 * Create Pixmaps, buttons,...
 */
GtkWidget *Create_Button_With_Pixmap (guint button_type);
GtkWidget *Create_Pixmap_Icon (gchar **pixmap_name);
GtkWidget *Create_Button_With_Icon_And_Label (gchar **pixmap_name, gchar *label);


/*
 * Combobox history
 */
void Add_To_Combo_Box_History (GtkObject *combobox);
GList *Add_String_To_Glist (GList *list, gchar *filename);


/*
 * To sort MP3 list
 */
void Sort_Mp3list_Ascending (void);
void Sort_Mp3list_Descending (void);


/*
 * Other
 */
void Entry_Changed_Disable_Object(GtkObject *widget_to_disable, GtkEditable *source_widget);
void Insert_Only_Digit (GtkEditable *editable,const gchar *text,gint length,gint *position,gpointer data);
void Parse_Date (void);
void Init_Character_Translation_Table (void);

void Init_Mouse_Cursor (void);
void Destroy_Mouse_Cursor (void);
void Set_Busy_Cursor (void);
void Set_Unbusy_Cursor (void);


/*
 * For translation tables
 */
void serv2user (unsigned char *s);
void user2serv (unsigned char *s);
int load_trans_table (char *full_path);


#endif /* __MISC_H__ */
