/* undo.h - 2000/06/07 */
/*
 *  EasyTAG - Viewer/Editor for MP3 Tags
 *  Copyright (C) 2000  Jerome Couderc <j.couderc@ifrance.com>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */


#ifndef __UNDO_H__
#define __UNDO_H__


#include "mp3types.h"

/****************
 * Declarations *
 ****************/
MP3_File *UndoSnapShot;


/**************
 * Prototypes *
 **************/
void Undo_Get_Snap_Shot (MP3_File *mp3file);
gboolean Undo_Add_Data (MP3_File *mp3file);
gboolean Undo_Restore_Data (void);
void Undo_Free_Snap_Shot_Data (void);
void Undo_Free_Undo_Data_List (void);
void Undo_Display_Last_Info (void);
void Undo_Update_Data (MP3_File *mp3file);

/* For DEBUGGING ONLY */
void Undo_Print_Snap_Shot (gchar *file ,gint line, gboolean all);
void Undo_Print_Undo_Data_List (gchar *file ,gint line, gboolean show_tag);


#endif /* __UNDO_H__ */
